Create a Virtual Account

This API creates a new Virtual Account. The API returns a 201 HTTP response code in case of a successful Virtual Account creation. The API returns a 401 HTTP response code in case of a missing or invalid token. The API returns a 503 HTTP response code in case of service unavailable because of bad request (e.g. missing and/or wrong headers), or a validation error (e.g. missing and/or wrong parameters) or any other server issue.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 1 and 100

This will be used to display the customer name e.g. in ATM.

string
required
length between 11 and 15

Customer phone number, also used to refer to customer. It should start with the Indonesian country code '62' and be followed by, at least 9 numeric characters (and a maximum of 13 numeric characters).

string
length between 8 and 17

Unique identifier (16-25 numeric characters) to be included to the generated virtual account number. If this parameter is empty in VA Creation Request, then Ayoconnect will generate random value for the VA number.

In VA Creation API Request:
Virtual Account Number consist of Bank Prefix (the first 4 or 5 digits number) and then 3 digits of Merchant Code assigned by Ayoconnect, and the rest could be random number or customized number.
If clients want to define the VA number after the bank prefix, the number should be exactly 12 digits for BNI and should be 11-20 digits for BRI & Mandiri.
In API Responses:
Bank BNI VA: exactly 16 digits
BRI & Mandiri: 16-25 digits

string
required
length between 32 and 32

Transaction Unique ID generated by the merchant.

string
required
length between 3 and 3

Bank code of a bank. A customer will get a bank code specified Virtual Account. A Virtual Account number's first 5 digit will differ based on bank.

totalAmount
object

Total amount the customer has paid successfully historically through this Virtual Account number.

billDetails
array of objects
required
length between 1 and 1

The breakdown of the transaction details including item name, item value, and description given to Ayoconnect by the client.

billDetails*
string
required
length between 1 and 100

Description or name of a product.

billAmount
object
required

The amount received by the client from this transaction after the fees.

billDescription
object
virtualAccountConfig
object
required
integer
required
5 to 1051200

Minutes in which a Virtual Account should expire.

Headers
string
required
length between 35 and 35

Authorization header. Only 'bearer' authentication is supported.

string
required

Content type accepted by the service. Only 'application/json' is supported.

string
required
length between 16 and 16

Content type returned by the service. Only 'application/json' is supported.

string
required
length between 32 and 32

Unique identifier (32 alphanumeric characters) to identify a Virtual Account flow. It must be unique per flow and can't be reused for different flows. A flow is a set of API calls, for example, all the calls (create, get, update, delete) related to a Virtual Account, and are part of one flow. Merchants can link API calls into one flow using this header.

string
required
length between 6 and 6

Merchant Code. 6 alphanumeric characters. It is used to identify a merchant.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json